/**
 * @file log_hm.h
 *
 * @brief This file contains logger enumeration values for the module Healthmetric
 *
 *  This is a template file to be followed to include new modules in logger software component
 *
 */


/* Note: header guard format should not be changed;
 * valid way to represent header guard should be "_LOG_HM_H_" example: _LOG_HM_H_
 * */
#ifndef _LOG_HM_H_
#define _LOG_HM_H_




/* User has to update enumeration member list */
#define HM_FOREACH_LOG(HM_LOG_NAME) 				\
        HM_LOG_NAME(tc_process_buff_fw_ipc_entry)   						\
        HM_LOG_NAME(tc_process_buff_fw_ipc_src__u8__msgid__u16_)  						\
        HM_LOG_NAME(os_queue_create_failure_in_tc_buffer_fw)  						\
        HM_LOG_NAME(Buff_idx__u8_)   						\
        HM_LOG_NAME(Queue_ID__u8__context__hex_)  						\
        HM_LOG_NAME(QueueID_not_supported_for_OBC_TC_TM_BUFFER_REQ)  						\
        HM_LOG_NAME(No_payload_found_for_OBC_TC_TM_BUFFER_REQ)   						\
        HM_LOG_NAME(Q_was_full_Success)  						\
        HM_LOG_NAME(Buffer_enqueue_success_for_submod__u8__queue__u8_)   						\
        HM_LOG_NAME(Mem_alloc_failed_while_queue_dequeue_critical_error)  						\
        HM_LOG_NAME(Wrap_disabled_dropping_the_new_data)  						\
        HM_LOG_NAME(Queue_not_Active_for_OBC_TC_TM_ENQUEUE_REQ)   						\
        HM_LOG_NAME(APP_ID__u8__QUEUE_ID__u8_)  						\
        HM_LOG_NAME(Queue_not_valid_for_OBC_TC_TM_ENQUEUE_REQ)  						\
        HM_LOG_NAME(No_payload_found_for_OBC_TC_TM_ENQUEUE_REQ)   						\
        HM_LOG_NAME(OBC_TC_TM_BUFFER_REQ_received)  						\
        HM_LOG_NAME(Radio__u8__not_active)  						\
        HM_LOG_NAME(Valid_module_id__u8_)   						\
        HM_LOG_NAME(Valid_queue_id__u8_)  						\
        HM_LOG_NAME(Queue_not_active__u8_)  						\
        HM_LOG_NAME(Not_valid_queue_id_check_priority)   						\
        HM_LOG_NAME(Not_valid_queue_priority_send_error_response)  						\
        HM_LOG_NAME(Invalid_submodule__u8___u8_)  						\
        HM_LOG_NAME(FLUSH_REQ_RECEIVED)   						\
        HM_LOG_NAME(Valid_Submodule_ID__u8_)  						\
        HM_LOG_NAME(Queue__u8__is_active)  						\
        HM_LOG_NAME(Queue__u8__is_not_active_bitmap__u32_)   						\
        HM_LOG_NAME(QUEUE_FLUSH_FAILED)  						\
        HM_LOG_NAME(Submodule_id_invalid__u8_)  						\
        HM_LOG_NAME(Queue_ID__u8__is_active_que_ctx__u32_)   						\
        HM_LOG_NAME(Queue_ID__u8__is_not_deleted)  						\
        HM_LOG_NAME(Queue_ID__u8__is_not_active)  						\
        HM_LOG_NAME(OBC_TC_TM_CHNG_QUEUE_PRIORITY_REQ_request)   						\
        HM_LOG_NAME(Submod__u8__Queue__u8__Priority_changed_from__u8_)  						\
        HM_LOG_NAME(Queue__u8__not_active_on_OBC_TC_TM_CHNG_QUEUE_PRIORITY_REQ)  						\
        HM_LOG_NAME(To__u8_)   						\
        HM_LOG_NAME(No_submodule_invalid__u8_)  						\
        HM_LOG_NAME(OBC_TC_TM_CHNG_MODULE_PRIORITY_REQ_request)   						\
        HM_LOG_NAME(Submod__u8__Current_priority__u8__Priority_to_be_changed__u8_)  						\
        HM_LOG_NAME(Priority_Changed_to__u8_)  						\
        HM_LOG_NAME(Priority_is_not_valid)   						\
        HM_LOG_NAME(Submodule_invalid__u8_)  						\
        HM_LOG_NAME(Ground_contact_not_valid_for_radio__u8_)  						\
        HM_LOG_NAME(Remaining_space_in_queue__u32_)   						\
        HM_LOG_NAME(Actual_number_of_bytes_to_be_packed_in_TM__u32_)  						\
        HM_LOG_NAME(Dequeue_failed)   						\
        HM_LOG_NAME(Q_was_full_but_dequeue_failed)  						\
        HM_LOG_NAME(Queue_empty)  						\
        HM_LOG_NAME(Unable_to_get_remaining_space)   						\
        HM_LOG_NAME(tc_send_queue_as_tm_entry)  						\
        HM_LOG_NAME(DATA_LEN__u32_)  						\
        HM_LOG_NAME(IPC_sent_for_submod_id__u8__queue_id__u8_)   						\
        HM_LOG_NAME(TM_Packing_failed)  						\
        HM_LOG_NAME(TM_memory_allocation_failed)  						\
        HM_LOG_NAME(sending_message_to__u8_)   						\
        HM_LOG_NAME(Num_of_instance__u16__Instance_size__u32_)   						\
        HM_LOG_NAME(Queue_ID__u8__deleted)   						\
        HM_LOG_NAME(HM_LOG_MAX)   						
       

#define HM_GENERATE_ENUM(ENUM) ENUM,
#define HM_GENERATE_STRING(STRING) #STRING,

typedef enum log_hm_e_
{
	HM_FOREACH_LOG(HM_GENERATE_ENUM)
}log_hm_e;



#endif /* _LOG_MODULENAME_H_ */
